Page MenuHomePhabricator

treemanifest: use a connectionpool
ClosedPublic

Authored by durham on Nov 20 2017, 10:23 AM.

Details

Reviewers
quark
Group Reviewers
Restricted Project
Commits
rFBHGXf308f55d395c: treemanifest: use a connectionpool
Summary

remotefilelog and fastannotate already use a connection pool to share and reuse
connections. Treemanifest often does ondemand downloading of trees, such as
during hg log -p, and would greatly benefit from reusing connections as well.

This patch makes the connectionpool and attribute of the repo object, instead of
the fileserverclient object, which allows treemanifest to make use of it easily.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

durham created this revision.Nov 20 2017, 10:23 AM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 20 2017, 10:23 AM
quark accepted this revision.Nov 21 2017, 4:45 AM
This revision is now accepted and ready to land.Nov 21 2017, 4:45 AM
This revision was automatically updated to reflect the committed changes.
stash added a subscriber: stash.Nov 22 2017, 4:16 AM

I think infinitepush can benefit from connection pool too, because now it recreates the same connection a few times